import { String } from "./types";
import * as Types from "./types";
import { Client, PluginModule, MaybeAsync } from "@web3api/core-js";
export interface Input_get extends Record<string, unknown> {
    url: String;
    request?: Types.Request | null;
}
export interface Input_post extends Record<string, unknown> {
    url: String;
    request?: Types.Request | null;
}
export interface Module extends PluginModule {
    get(input: Input_get, client: Client): MaybeAsync<Types.Response | null>;
    post(input: Input_post, client: Client): MaybeAsync<Types.Response | null>;
}
